Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from ThreatBook Lab, as well as associated DNS, whois and contextual data for each domain.
POST
/
v2
/
domain
/
query
Domain Intelligence (V2)
curl --request POST \ --url https://api.threatbook.io/v2/domain/query
You can exclude the following parameters from the response based on actual usage scenarios. When specifying multiple parameters, separate them with commas (note: do not include spaces).
pdns: Resolved IP address information of the domain
whois: Current WHOIS information of the domain
ssl_certs: SSL certificate and related information
intelligences: Threat intelligence
threat_types / judgments: Comprehensively determined threat type, analyzed from threat intelligence. (Both parameters are valid).
intel_labels / tags_classes: Tags related to attack groups or security incidents. (Both parameters are valid).
samples: Related samples.
categories: Domain classification
sub_domains_count: Number of subdomains
pdns_count: Number of currently resolved IPs
If you don’t specify this parameter, we will return all data by default.
Threat intelligence in detail— represented as a JSON array. Each item contains the following fields:
find_time: Time of discovery.
update_time: Last update time.
confidence: Confidence score.
expired: Boolean. false means the intelligence is still valid; true means it has expired.
intel_types: Threat types, represented as an array. The values of the array elements are defined in Threat Labels.
intel_labels: Tag information of this intelligence, including related attack groups or security incidents. This is a JSON array where each item follows the same field definition as intel_labels.
Umbrella ranking information of the domain, represented as a JSON object with the following fields:
global_rank: Current Umbrella global rank (integer). Only rankings within the top 1,000,000 are counted. If the rank exceeds 1,000,000, -1 is returned.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ThreatBook CTI Documentation","colors":{"primary":"#CC0000","light":"#eb2d17","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/secai-a5d02ac5/R6uyh1S1hrTJxXQ_/logo/logo_light.svg?fit=max\u0026auto=format\u0026n=R6uyh1S1hrTJxXQ_\u0026q=85\u0026s=c467c47ec081583290c17e11c5d34135","dark":"https://mintcdn.com/secai-a5d02ac5/R6uyh1S1hrTJxXQ_/logo/logo_dark.svg?fit=max\u0026auto=format\u0026n=R6uyh1S1hrTJxXQ_\u0026q=85\u0026s=ee156437cceb28ed4624144adaa33d04","href":"https://docs.threatbook.io/"},"favicon":"https://mintcdn.com/secai-a5d02ac5/zTkhlyUlQIO0Fe8R/favicon.ico?fit=max\u0026auto=format\u0026n=zTkhlyUlQIO0Fe8R\u0026q=85\u0026s=72ad6b570c62b69bbf882e317b3f8b86","api":{"params":{"expanded":"all"},"playground":{"display":"interactive","proxy":false}},"navbar":{"links":[{"href":"https://i.threatbook.io/research","label":"Try Investigator"},{"href":"https://ati.threatbook.io/","label":"Login to ATI"}],"primary":{"type":"button","label":"Contact us","href":"https://i.threatbook.io/contactus"}},"footer":{"socials":{"x":"https://x.com/ThreatBookLabs","linkedin":"https://www.linkedin.com/company/threatbook"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"secai-a5d02ac5","hasAudioNarration":false,"actualSubdomain":"secai-a5d02ac5","customDomains":["docs.threatbook.io"],"gitSource":{"type":"github","owner":"qilei-booker","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ac9d31150d8f4d6aeeb03ad","collectionId":"35312225-3107-4208-9227-53b5e6ca59b7","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ac9d31150d8f4d6aeeb03ad"},"entitlements":{},"buildId":"6ac9d31150d8f4d6aeeb03ad","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"API Reference","count":21},{"language":"default","tag":"Guides","count":12},{"language":"default","tag":"Enrichment","count":9},{"language":"default","tag":"Feeds","count":6},{"language":"default","tag":"Deprecated","count":3},{"language":"default","tag":"Reports","count":3},{"language":"default","tag":"Quick Start","count":3},{"language":"default","tag":"Use Cases","count":3},{"language":"default","tag":"Our CTI Data","count":3},{"language":"default","tag":"Knowledge Hub","count":2}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".threatBook-download-btn{color:#fff;background-color:#1a1a1a;border-radius:40px;cursor:pointer;display:inline-flex;padding:8px 20px;justify-content:center;align-items:center;gap:8px;font-size:12px;font-weight:500;line-height:16px}.threatBook-download-btn:hover{background-color:#4d4d4d}.threatBook-download-btn svg{width:14px;height:14px;fill:#fff}a[href=\"https://threatbook.ai/contactus\"]{display:none}#topbar-cta-button{--primary-light:26 26 26;--primary-dark:26 26 26}table th{text-align:left}"}],"page":{"pagePath":"api-reference/enrichment/domain-intelligence-v2","slug":"/api-reference/enrichment/domain-intelligence-v2","pageMetadata":{"title":"Domain Intelligence","openapi":"api-reference/enrichment/domain-intelligence-v2.openapi.json POST /v2/domain/query","description":"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from **ThreatBook Lab**, as well as associated DNS, whois and contextual data for each domain.","href":"/api-reference/enrichment/domain-intelligence-v2"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from \", _jsx(_components.strong, {\n children: \"ThreatBook Lab\"\n }), \", as well as associated DNS, whois and contextual data for each domain.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Domain Intelligence","openapi":"api-reference/enrichment/domain-intelligence-v2.openapi.json POST /v2/domain/query","description":"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from **ThreatBook Lab**, as well as associated DNS, whois and contextual data for each domain.","href":"/api-reference/enrichment/domain-intelligence-v2"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/secai-a5d02ac5/5dcccf5574296389/custom.js"],"openApiReferenceData":{"operation":{"summary":"Domain Intelligence (V2)","deprecated":false,"description":"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from **ThreatBook Lab**, as well as associated DNS, whois and contextual data for each domain.","tags":[],"parameters":["fd5868d9-a446-47b0-8f0c-0dc22577e51a","883f9d45-78e4-47e2-8863-076a5c7ebdbc","e591e459-d5d0-487b-9f34-8d4b97a2e9e1"],"responses":{"200":"82044b92-47f8-49a0-ae2f-ca03fe94c46f","400":"2f8be715-6cae-4fb5-873c-5af2c8c48dbf","401":"dc220a74-1af2-4776-87e5-800ca6e1a88a","405":"2795894a-3966-4ee7-8445-be715b251c7a","429":"485c83c3-6cd7-4d15-a6d8-61109dc96753","500":"4fe60f7d-894b-4195-ad1c-c3cceb6ce02a"},"security":[],"method":"post","type":"path","servers":["3f4ec59c-9666-4655-bf8e-875001a40a2b"],"path":"/v2/domain/query","baseUrlOptions":["https://api.threatbook.io"],"title":"Domain Intelligence (V2)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","disableProxy":true},"dependencies":{"parameters":{"fd5868d9-a446-47b0-8f0c-0dc22577e51a":{"name":"apikey","in":"query","description":"Your API key. For details on how to obtain and manage your API key, please refer to the [Authentication](https://docs.threatbook.io/api-reference/authentication) page.\n\n**Kindly note:**\n\nPlease check if you have bound your access IP to the key and have the authority quotas to access this API before you interact with it.","required":true,"example":"","schema":{"type":"string","isRequired":true,"description":"Your API key. For details on how to obtain and manage your API key, please refer to the [Authentication](https://docs.threatbook.io/api-reference/authentication) page.\n\n**Kindly note:**\n\nPlease check if you have bound your access IP to the key and have the authority quotas to access this API before you interact with it.","uniqueKey":"","typeLabel":"string"}},"883f9d45-78e4-47e2-8863-076a5c7ebdbc":{"name":"resource","in":"query","description":"Single domain to query.","required":true,"example":"","schema":{"type":"string","isRequired":true,"description":"Single domain to query.","uniqueKey":"","typeLabel":"string"}},"e591e459-d5d0-487b-9f34-8d4b97a2e9e1":{"name":"exclude","in":"query","description":"You can exclude the following parameters from the response based on actual usage scenarios. When specifying multiple parameters, separate them with commas (note: do not include spaces).\n\n- **pdns**: Resolved IP address information of the domain \n- **whois**: Current WHOIS information of the domain \n- **ssl_certs**: SSL certificate and related information \n- **intelligences**: Threat intelligence \n- **threat_types** / **judgments**: Comprehensively determined threat type, analyzed from threat intelligence. (Both parameters are valid). \n- **intel_labels** / **tags_classes**: Tags related to attack groups or security incidents. (Both parameters are valid). \n- **samples**: Related samples. \n- **categories**: Domain classification \n- **sub_domains_count**: Number of subdomains \n- **pdns_count**: Number of currently resolved IPs \n\nIf you don’t specify this parameter, we will return all data by default.","required":false,"schema":{"type":"string","isRequired":false,"description":"You can exclude the following parameters from the response based on actual usage scenarios. When specifying multiple parameters, separate them with commas (note: do not include spaces).\n\n- **pdns**: Resolved IP address information of the domain \n- **whois**: Current WHOIS information of the domain \n- **ssl_certs**: SSL certificate and related information \n- **intelligences**: Threat intelligence \n- **threat_types** / **judgments**: Comprehensively determined threat type, analyzed from threat intelligence. (Both parameters are valid). \n- **intel_labels** / **tags_classes**: Tags related to attack groups or security incidents. (Both parameters are valid). \n- **samples**: Related samples. \n- **categories**: Domain classification \n- **sub_domains_count**: Number of subdomains \n- **pdns_count**: Number of currently resolved IPs \n\nIf you don’t specify this parameter, we will return all data by default.","uniqueKey":"","typeLabel":"string"}}},"responses":{"82044b92-47f8-49a0-ae2f-ca03fe94c46f":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","isRequired":true,"uniqueKey":"msg","typeLabel":"string"},"response_code":{"type":"integer","isRequired":true,"uniqueKey":"response_code","typeLabel":"integer"},"data":{"type":"object","properties":{"threat_types":{"type":"array","items":{"type":"string","uniqueKey":"data.threat_types.items.[INDEX]","typeLabel":"string"},"description":"This field provides the comprehensively determined threat types. \n\nFor the returned data, see [**Threat Labels**](https://docs.threatbook.io/guide/threat-labels).","isRequired":true,"uniqueKey":"data.threat_types","typeLabel":"string[]"},"verdict":{"type":"string","description":"Verdict of domain, include:malicious/suspicious/unknown/benign","isRequired":true,"uniqueKey":"data.verdict","typeLabel":"string"},"intel_lables":{"type":"array","items":{"type":"string","uniqueKey":"data.intel_lables.items.[INDEX]","typeLabel":"string"},"description":"Related threat lables , include attack groups , malware families or security incident information.\n\nThis field is a JSON array, where each item contains the following attributes:\n\n- **label_type**: Tag category, such as \"industry\", \"gangs\", \"virus_family\", etc. \n- **lables**: Specific tags for attack groups or security incidents, for example: APT, OceanLotus, etc. ","isRequired":true,"uniqueKey":"data.intel_lables","typeLabel":"string[]"},"intelligences":{"type":"array","items":{"type":"object","properties":{},"uniqueKey":"data.intelligences.items.[INDEX]","typeLabel":"object"},"description":"Threat intelligence in detail— represented as a JSON array. Each item contains the following fields:\n\n- **find_time**: Time of discovery. \n- **update_time**: Last update time. \n- **confidence**: Confidence score. \n- **expired**: Boolean. `false` means the intelligence is still valid; `true` means it has expired. \n- **intel_types**: Threat types, represented as an array. The values of the array elements are defined in [**Threat Labels**](https://docs.threatbook.io/guide/threat-labels). \n- **intel_labels**: Tag information of this intelligence, including related attack groups or security incidents. This is a JSON array where each item follows the same field definition as **intel_labels**. ","isRequired":true,"uniqueKey":"data.intelligences","typeLabel":"object[]"},"samples":{"type":"array","items":{"type":"object","properties":{},"uniqueKey":"data.samples.items.[INDEX]","typeLabel":"object"},"description":"Related file samples — up to 20 records are returned.\n\nThis field is a JSON array, where each item contains the following attributes:\n\n- **sha256**: File sha256 hash \n- **scan_time**: Detection time \n- **ratio**: Proportion flagged as malicious by antivirus engines\n- **malware_type**: Malware type \n- **malware_family**: Malware family ","isRequired":true,"uniqueKey":"data.samples","typeLabel":"object[]"},"pdns":{"type":"array","items":{"type":"object","properties":{},"uniqueKey":"data.pdns.items.[INDEX]","typeLabel":"object"},"description":"Resolved IP information of the domain. This is a JSON array, where each item is a JSON object with the following fields:\n\n- **ip**: Currently resolved IP address \n- **carrier**: ISP / service provider \n- **resolve_time**: Resolution time of the current IP address (format: `YYYY-MM-DD HH:mm:ss`) \n- **location**: Geolocation information of the IP, represented as a JSON object with the following fields: \n - **country**: Country \n - **country_code**: Country code \n - **province**: Province / state \n - **city**: City \n - **lng**: Longitude \n - **lat**: Latitude ","isRequired":true,"uniqueKey":"data.pdns","typeLabel":"object[]"},"whois":{"type":"object","properties":{},"description":"Current WHOIS information of the domain, represented as a JSON object with the following fields:\n\n- **registrar_name**: Domain registrar \n- **name_server**: Domain name servers (separated by `|`) \n- **registrant_name**: Registrant name \n- **registrant_email**: Registrant email \n- **registrant_company**: Registrant organization \n- **registrant_address**: Registrant address \n- **registrant_phone**: Registrant phone number \n- **cdate**: Registration date \n- **udate**: Last update date \n- **edate**: Expiration date ","isRequired":true,"uniqueKey":"data.whois","typeLabel":"object"},"ssl_certs":{"type":"array","items":{"type":"object","properties":{},"uniqueKey":"data.ssl_certs.items.[INDEX]","typeLabel":"object"},"description":"SSL-related certificate information of the domain.","isRequired":true,"uniqueKey":"data.ssl_certs","typeLabel":"object[]"},"umbrella_rank":{"type":"object","properties":{},"description":"Umbrella ranking information of the domain, represented as a JSON object with the following fields:\n\n- **global_rank**: Current Umbrella global rank (integer). Only rankings within the top 1,000,000 are counted. If the rank exceeds 1,000,000, -1 is returned. ","isRequired":true,"uniqueKey":"data.umbrella_rank","typeLabel":"object"},"categories":{"type":"object","properties":{},"description":"Domain classification data, represented as a JSON object with the following fields:\n\n- **first_level**: Primary categories (array) \n- **second_level**: Secondary categories (string) ","isRequired":true,"uniqueKey":"data.categories","typeLabel":"object"},"sub_domains_count":{"type":"string","description":"Number of subdomains. Displays the exact number if fewer than 1000; shows 1000+ if greater.","isRequired":true,"uniqueKey":"data.sub_domains_count","typeLabel":"string"},"pdns_count":{"type":"string","description":"Number of currently resolved IPs. Displays the exact number if fewer than 1000; shows 1000+ if greater.","isRequired":true,"uniqueKey":"data.pdns_count","typeLabel":"string"},"pdns_update_time":{"type":"string","description":"The latest resolution time among all PDNS records (format: `YYYY-MM-DD HH:mm:ss`). Returns an empty string if no resolved IP is present.","isRequired":true,"uniqueKey":"data.pdns_update_time","typeLabel":"string"},"update_time":{"type":"string","description":"Latest update time of the intelligence","isRequired":true,"uniqueKey":"data.update_time","typeLabel":"string"}},"required":["samples","intel_lables","threat_types","intelligences","verdict","categories","whois","pdns","ssl_certs","umbrella_rank","sub_domains_count","pdns_count","pdns_update_time","update_time"],"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data","response_code","msg"],"uniqueKey":"","typeLabel":"object"},"example":{"response_code":200,"msg":"Success","data":{"threat_types":["Whitelist"],"verdict":"benign","intel_labels":[],"intelligences":[{"confidence":100,"expired":false,"find_time":"2021-10-31 15:12:25","intel_types":["Whitelist"],"intel_labels":[],"update_time":"2025-10-16 15:04:36"}],"samples":[{"sha256":"fea6767de2bdc2ffe0eb2c18a767d726130566d03008e5cc96bd65b2b792e1af","ratio":"1/28","scan_time":"2025-08-25 10:57:41","malware_type":"Susware","malware_family":"CompileTime"},{"sha256":"fc50c3ddfc38631382112999c6c9eddfc0325a369a65c8fa8b294bf664e7bbc0","ratio":"0/28","scan_time":"2024-11-05 07:29:11","malware_type":"","malware_family":""},{"sha256":"5e0aeeb71c21bbe08754709f3a99c51f01cdd53cd163bb61bcad4fe51520b99c","ratio":"0/28","scan_time":"2024-10-22 09:51:22","malware_type":"","malware_family":""}],"pdns":[{"ip":"57.144.186.141","carrier":"Facebook, Inc.","resolve_time":"2025-10-22 15:07:02","location":{"country":"Singapore","province":"Singapore","city":"Singapore","lng":"103.853519","lat":"1.286529","country_code":"SG"}},{"ip":"2a03:2880:f00c:20d:face:b00c:0:2","carrier":"Facebook, Inc.","resolve_time":"2025-10-21 08:30:15","location":{"country":"Ireland","province":"Dublin","city":"Dublin","lng":"-6.260246","lat":"53.349764","country_code":"IE"}}],"whois":{"cdate":"1991-01-20 21:00:00","edate":"2034-01-21 21:00:00","udate":"2025-01-22 08:09:14","alexa":"","registrar_name":"RegistrarSafe, LLC","name_server":"D.NS.FACEBOOK.COM|A.NS.FACEBOOK.COM|C.NS.FACEBOOK.COM|B.NS.FACEBOOK.COM","registrant_name":"Domain Admin","registrant_email":"domain@fb.com","registrant_company":"Meta Platforms, Inc.","registrant_address":"1601 Willow Rd,Menlo Park,CA,US","registrant_phone":"+1.6505434800"},"ssl_certs":[{"subject":"*.meta.com","issuer":"DigiCert SHA2 High Assurance Server CA","fingerprint":"0a6c23c59117f1af26fbaea710de87cad6e64b57","purpose":"SSL client|SSL server|Netscape SSL server|Any Purpose|Any Purpose CA|OCSP helper","verify":"SHA256withRSA","status":"1","revoked":false,"begin":"2022-05-09","end":"2022-08-07","status_desc":"Expired","serial_number":"b8088ce43dd9d87827e44377cca1f03","revoked_time":""},{"subject":"*.meta.com","issuer":"DigiCert SHA2 High Assurance Server CA","fingerprint":"13c409b0780dab59e6ad54f1ef45f6fb907ac1df","purpose":"SSL client|SSL server|Netscape SSL server|Any Purpose|Any Purpose CA|OCSP helper","verify":"SHA256withRSA","status":"1","revoked":false,"begin":"2023-09-18","end":"2023-12-17","status_desc":"Expired","serial_number":"1c6436d29f5fc547460b08b3e9b17c8","revoked_time":""},{"subject":"*.meta.com","issuer":"DigiCert SHA2 High Assurance Server CA","fingerprint":"058f831cae3c09ee9456227de45d03d2c5d51bbc","purpose":"SSL client|SSL server|Netscape SSL server|Any Purpose|Any Purpose CA|OCSP helper","verify":"SHA256withRSA","status":"1","revoked":false,"begin":"2023-10-07","end":"2024-01-05","status_desc":"Expired","serial_number":"6b77fed613e97f91bbb8545ce771269","revoked_time":""}],"umbrella_rank":{"global_rank":11447},"categories":{"first_level":["News","Tool"],"second_level":"Training and Tools"},"sub_domains_count":"1000+","pdns_count":"2","pdns_update_time":"2025-10-22 15:07:02","update_time":"2025-10-22 15:07:02"}},"examples":{"Example":{"title":"Example","value":{"response_code":200,"msg":"Success","data":{"threat_types":["Whitelist"],"verdict":"benign","intel_labels":[],"intelligences":[{"confidence":100,"expired":false,"find_time":"2021-10-31 15:12:25","intel_types":["Whitelist"],"intel_labels":[],"update_time":"2025-10-16 15:04:36"}],"samples":[{"sha256":"fea6767de2bdc2ffe0eb2c18a767d726130566d03008e5cc96bd65b2b792e1af","ratio":"1/28","scan_time":"2025-08-25 10:57:41","malware_type":"Susware","malware_family":"CompileTime"},{"sha256":"fc50c3ddfc38631382112999c6c9eddfc0325a369a65c8fa8b294bf664e7bbc0","ratio":"0/28","scan_time":"2024-11-05 07:29:11","malware_type":"","malware_family":""},{"sha256":"5e0aeeb71c21bbe08754709f3a99c51f01cdd53cd163bb61bcad4fe51520b99c","ratio":"0/28","scan_time":"2024-10-22 09:51:22","malware_type":"","malware_family":""}],"pdns":[{"ip":"57.144.186.141","carrier":"Facebook, Inc.","resolve_time":"2025-10-22 15:07:02","location":{"country":"Singapore","province":"Singapore","city":"Singapore","lng":"103.853519","lat":"1.286529","country_code":"SG"}},{"ip":"2a03:2880:f00c:20d:face:b00c:0:2","carrier":"Facebook, Inc.","resolve_time":"2025-10-21 08:30:15","location":{"country":"Ireland","province":"Dublin","city":"Dublin","lng":"-6.260246","lat":"53.349764","country_code":"IE"}}],"whois":{"cdate":"1991-01-20 21:00:00","edate":"2034-01-21 21:00:00","udate":"2025-01-22 08:09:14","alexa":"","registrar_name":"RegistrarSafe, LLC","name_server":"D.NS.FACEBOOK.COM|A.NS.FACEBOOK.COM|C.NS.FACEBOOK.COM|B.NS.FACEBOOK.COM","registrant_name":"Domain Admin","registrant_email":"domain@fb.com","registrant_company":"Meta Platforms, Inc.","registrant_address":"1601 Willow Rd,Menlo Park,CA,US","registrant_phone":"+1.6505434800"},"ssl_certs":[{"subject":"*.meta.com","issuer":"DigiCert SHA2 High Assurance Server CA","fingerprint":"0a6c23c59117f1af26fbaea710de87cad6e64b57","purpose":"SSL client|SSL server|Netscape SSL server|Any Purpose|Any Purpose CA|OCSP helper","verify":"SHA256withRSA","status":"1","revoked":false,"begin":"2022-05-09","end":"2022-08-07","status_desc":"Expired","serial_number":"b8088ce43dd9d87827e44377cca1f03","revoked_time":""},{"subject":"*.meta.com","issuer":"DigiCert SHA2 High Assurance Server CA","fingerprint":"13c409b0780dab59e6ad54f1ef45f6fb907ac1df","purpose":"SSL client|SSL server|Netscape SSL server|Any Purpose|Any Purpose CA|OCSP helper","verify":"SHA256withRSA","status":"1","revoked":false,"begin":"2023-09-18","end":"2023-12-17","status_desc":"Expired","serial_number":"1c6436d29f5fc547460b08b3e9b17c8","revoked_time":""},{"subject":"*.meta.com","issuer":"DigiCert SHA2 High Assurance Server CA","fingerprint":"058f831cae3c09ee9456227de45d03d2c5d51bbc","purpose":"SSL client|SSL server|Netscape SSL server|Any Purpose|Any Purpose CA|OCSP helper","verify":"SHA256withRSA","status":"1","revoked":false,"begin":"2023-10-07","end":"2024-01-05","status_desc":"Expired","serial_number":"6b77fed613e97f91bbb8545ce771269","revoked_time":""}],"umbrella_rank":{"global_rank":11447},"categories":{"first_level":["News","Tool"],"second_level":"Training and Tools"},"sub_domains_count":"1000+","pdns_count":"2","pdns_update_time":"2025-10-22 15:07:02","update_time":"2025-10-22 15:07:02"}}}},"exampleType":"examples"}},"headers":{},"exampleType":"examples"},"2f8be715-6cae-4fb5-873c-5af2c8c48dbf":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","enum":["Required:{resource/apikey}","Invalid parameter:{parameter}"],"isRequired":true,"uniqueKey":"msg","typeLabel":"enum\u003cstring>"},"response_code":{"type":"integer","const":400,"isRequired":true,"uniqueKey":"response_code","typeLabel":"integer"}},"required":["msg","response_code"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example 1":{"title":"Example 1","value":{"msg":"Required:{resource/apikey}","response_code":400}}},"exampleType":"examples"}},"exampleType":"examples"},"dc220a74-1af2-4776-87e5-800ca6e1a88a":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","enum":["Invalid account status","Invalid access IP: {actual IP address}","Invalid API key","Invalid key status","No access to the API","Expired API key","No access to the requested resource","No access to: {parameter}"],"isRequired":true,"uniqueKey":"msg","typeLabel":"enum\u003cstring>"},"response_code":{"type":"integer","const":401,"isRequired":true,"uniqueKey":"response_code","typeLabel":"integer"}},"required":["msg","response_code"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example 1":{"title":"Example 1","value":{"msg":"Invalid account status","response_code":401}}},"exampleType":"examples"}},"exampleType":"examples"},"2795894a-3966-4ee7-8445-be715b251c7a":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","const":"Invalid API method","isRequired":true,"uniqueKey":"msg","typeLabel":"string"},"response_code":{"type":"integer","const":405,"isRequired":true,"uniqueKey":"response_code","typeLabel":"integer"}},"required":["msg","response_code"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example 1":{"title":"Example 1","value":{"msg":"Invalid API method","response_code":405}}},"exampleType":"examples"}},"exampleType":"examples"},"485c83c3-6cd7-4d15-a6d8-61109dc96753":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","enum":["Request rate limitation","Beyond {daily/monthly/total} quotas limitation"],"isRequired":true,"uniqueKey":"msg","typeLabel":"enum\u003cstring>"},"response_code":{"type":"integer","const":429,"isRequired":true,"uniqueKey":"response_code","typeLabel":"integer"}},"required":["msg","response_code"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example 1":{"title":"Example 1","value":{"msg":"Request rate limitation","response_code":429}}},"exampleType":"examples"}},"exampleType":"examples"},"4fe60f7d-894b-4195-ad1c-c3cceb6ce02a":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","enum":["System error","URL Download Fail"],"isRequired":true,"uniqueKey":"msg","typeLabel":"enum\u003cstring>"},"response_code":{"type":"integer","const":500,"isRequired":true,"uniqueKey":"response_code","typeLabel":"integer"}},"required":["msg","response_code"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example 1":{"title":"Example 1","value":{"msg":"System error","response_code":500}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{},"servers":{"3f4ec59c-9666-4655-bf8e-875001a40a2b":{"url":"https://api.threatbook.io"}}},"originalFileLocation":"api-reference/enrichment/domain-intelligence-v2.openapi.json"},"subdomain":"secai-a5d02ac5","siteName":"ThreatBook CTI Documentation","title":"Domain Intelligence - ThreatBook CTI Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-28T06:06:02.486Z","originalFileLocation":"api-reference/enrichment/domain-intelligence-v2.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from ThreatBook Lab, as well as associated DNS, whois and contextual data for each domain.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ThreatBook CTI Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Domain Intelligence - ThreatBook CTI Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from ThreatBook Lab, as well as associated DNS, whois and contextual data for each domain.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ThreatBook CTI Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://secai-a5d02ac5.mintlify.app/_mintlify/api/og/v2?division=Enrichment\u0026amp;title=Domain+Intelligence\u0026amp;description=Domain+Intelligence%28V2%29+API+provides+detailed+threat+intelligence+for+verdict.+This+includes+threat+verdict+and+labes+from+**ThreatBook+Lab**%2C+as+well+as+associ\u0026amp;theme=cc96c7d1e94e3382abfd5738\u0026amp;signature=75a70e3353b03229d42e0ea868440cf03edd2694a4ad3757896caca2a8d064a8\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Domain Intelligence - ThreatBook CTI Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from ThreatBook Lab, as well as associated DNS, whois and contextual data for each domain.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://secai-a5d02ac5.mintlify.app/_mintlify/api/og/v2?division=Enrichment\u0026amp;title=Domain+Intelligence\u0026amp;description=Domain+Intelligence%28V2%29+API+provides+detailed+threat+intelligence+for+verdict.+This+includes+threat+verdict+and+labes+from+**ThreatBook+Lab**%2C+as+well+as+associ\u0026amp;theme=cc96c7d1e94e3382abfd5738\u0026amp;signature=75a70e3353b03229d42e0ea868440cf03edd2694a4ad3757896caca2a8d064a8\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/secai-a5d02ac5/FIkeW9BxQq6Kwlsn/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ThreatBook CTI Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#CC0000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/enrichment/domain-intelligence-v2.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.threatbook.io/#organization\",\"name\":\"ThreatBook CTI Documentation\",\"url\":\"https://docs.threatbook.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/secai-a5d02ac5/R6uyh1S1hrTJxXQ_/logo/logo_light.svg?fit=max\u0026auto=format\u0026n=R6uyh1S1hrTJxXQ_\u0026q=85\u0026s=c467c47ec081583290c17e11c5d34135\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.threatbook.io#website\",\"name\":\"ThreatBook CTI Documentation\",\"url\":\"https://docs.threatbook.io\",\"publisher\":{\"@id\":\"https://docs.threatbook.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2#webpage\",\"url\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2\",\"name\":\"Domain Intelligence\",\"description\":\"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from ThreatBook Lab, as well as associated DNS, whois and contextual data for each domain.\",\"dateModified\":\"2026-01-28T06:06:02.486Z\",\"isPartOf\":{\"@id\":\"https://docs.threatbook.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Enrichment\",\"item\":\"https://docs.threatbook.io/api-reference/enrichment/ip-report-v1\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Domain Intelligence\",\"item\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2#apireference\",\"headline\":\"Domain Intelligence\",\"name\":\"Domain Intelligence\",\"description\":\"Domain Intelligence(V2) API provides detailed threat intelligence for verdict. This includes threat verdict and labes from ThreatBook Lab, as well as associated DNS, whois and contextual data for each domain.\",\"url\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2\",\"mainEntityOfPage\":{\"@id\":\"https://docs.threatbook.io/api-reference/enrichment/domain-intelligence-v2#webpage\"},\"dateModified\":\"2026-01-28T06:06:02.486Z\",\"publisher\":{\"@id\":\"https://docs.threatbook.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.threatbook.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ThreatBook CTI Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ThreatBook CTI Documentation","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/guide/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Authentication","href":"/api-reference/authentication"}]},{"group":"Enrichment","pages":[{"title":"IP Report(Community)","openapi":"api-reference/enrichment/ip-report-v1.openapi.json POST /v1/community/ip","href":"/api-reference/enrichment/ip-report-v1"},{"title":"Compromise Detection","openapi":"api-reference/enrichment/compromise-detection-v1.openapi.json POST /v1/ioc/query","href":"/api-reference/enrichment/compromise-detection-v1"},{"title":"IP Intelligence","openapi":"api-reference/enrichment/ip-intelligence-v2.openapi.json POST /v2/ip/query","description":"IP Intelligence(V2) API provides detailed threat intelligence for both **inbound** and **outbound** IP addresses. This includes threat verdict and labes from **ThreatBook Lab**, as well as associated internet asset and contextual data for each IP address.","href":"/api-reference/enrichment/ip-intelligence-v2"},{"title":"Domain Intelligence","openapi":"api-reference/enrichment/domain-intelligence-v2.openapi.json POST /v2/domain/query","href":"/api-reference/enrichment/domain-intelligence-v2"},{"title":"File Intelligence","openapi":"api-reference/enrichment/file-intelligence-v2.openapi.json POST /v2/file/query","description":"Retrieve detailed static and dynamic analysis reports of a file, including file summary information, network behavior, behavioral signatures, static information, dropped behavior, process behavior, and multi-engines detection results.","href":"/api-reference/enrichment/file-intelligence-v2"},{"title":"File Upload","openapi":"api-reference/enrichment/file-upload-v2.openapi.json POST /v2/file/upload","href":"/api-reference/enrichment/file-upload-v2"},{"title":"URL Intelligence","openapi":"api-reference/enrichment/url-intelligence-v2.openapi.json POST /v2/url/query","href":"/api-reference/enrichment/url-intelligence-v2"},{"group":"Deprecated","pages":[{"title":"IP Intelligence(v1)","openapi":"api-reference/enrichment/ip-intelligence-v1.openapi.json POST /v1/ip/query","href":"/api-reference/enrichment/ip-intelligence-v1"},{"title":"Domain Intelligence(v1)","openapi":"api-reference/enrichment/domain-intelligence-v1.openapi.json POST /v1/domain/query","href":"/api-reference/enrichment/domain-intelligence-v1"}]}]},{"group":"Vulnerabilities","pages":[{"title":"Vulnerability Intelligence","openapi":"api-reference/vulnerabilities/vulnerability-intelligence-v2.openapi.json POST /v2/vulnerability/query","href":"/api-reference/vulnerabilities/vulnerability-intelligence-v2"}]},{"group":"Reports","pages":[{"title":"Report List","openapi":"api-reference/reports/report-list.openapi.json POST /v3/reports/list","href":"/api-reference/reports/report-list-v3"},{"title":"Report Detail","openapi":"api-reference/reports/report-detail.openapi.json GET /v2/reports/{id}","href":"/api-reference/reports/report-detail"},{"group":"Deprecated","pages":[{"title":"Report List (v2)","openapi":"api-reference/reports/report-list.openapi.json GET /v2/reports/list","href":"/api-reference/reports/report-list-v2"}]}]},{"group":"Feeds","pages":[{"title":"IP Reputation","openapi":"api-reference/feeds/ip-reputation.openapi.json GET /v2/feeds/stix/ip-reputation","playground":"simple","href":"/api-reference/feeds/ip-reputation"},{"title":"IOC","openapi":"api-reference/feeds/ioc.openapi.json GET /v2/feeds/stix/ioc","playground":"simple","href":"/api-reference/feeds/ioc"},{"title":"Reports","openapi":"api-reference/feeds/reports.openapi.json GET /v2/feeds/stix/reports","playground":"simple","href":"/api-reference/feeds/reports"},{"title":"Actors","openapi":"api-reference/feeds/actors.openapi.json GET /v2/feeds/stix/actor","playground":"simple","href":"/api-reference/feeds/actors"},{"title":"Hash","openapi":"api-reference/feeds/hash.openapi.json GET /v2/feeds/stix/hash","playground":"simple","href":"/api-reference/feeds/hash"},{"title":"URL","openapi":"api-reference/feeds/url.openapi.json GET /v2/feeds/stix/url","playground":"simple","href":"/api-reference/feeds/url"}]},{"group":"Third-party Integration","pages":[{"title":"Splunk APP - ThreatBook TI","href":"/api-reference/integration/splunk-app-api"}]}]}]},"title":"Domain Intelligence - ThreatBook CTI Documentation","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}